#!/bin/bash
if [ ! -f '.select-home-target' ]; then
   echo -e "다음 중 원하는 타켓 설정  스크립트를 실행하세요"
   echo -e ""
   ls init-*
   echo -e ""
   exit 1
fi

target=$(cat .select-home-target)
echo -e "kcert2-home-$target delpoy..."
echo -e "\\033]2;kcert2-home-$target delpoy\\007"

./run-build.sh

rm -rf deployment/html
cp -a ../apps/home-$target/dist deployment/html

docker rmi docker.kcert2018.com/kcert2/home-$target-ps:0.1
docker rmi kcert2/home-$target-ps:0.1

docker-compose build kcert2-home-$target-ps
docker tag kcert2/home-$target-ps:0.1 docker.kcert2018.com/kcert2/home-$target-ps:0.1

docker login -u rancher -p "ehsqjfwk9414$" docker.kcert2018.com
docker push docker.kcert2018.com/kcert2/home-$target-ps:0.1
docker logout docker.kcert2018.com

kubectl delete -f ../kube/deploy-all.yml
kubectl apply -f ../kube/deploy-all.yml
