#!/bin/bash
if [ ! -f '.select-home-target' ]; then
   echo -e "다음 중 원하는 타켓 설정  스크립트를 실행하세요"
   echo -e ""
   ls init-*
   echo -e ""
   exit 1
fi

target=$(cat .select-home-target)
echo -e "\\033]2;kcert2-home-$target depoly\\007"
echo -e "kcert2-home-$target depoly\\007"

echo $target "delpoy..."

./run-build.sh

rm -rf deployment/html
cp -a ../apps/home-$target/dist deployment/html

docker rmi docker.nemopai.com/kcert2/home-$target-ps:0.1
docker rmi kcert2/home-$target-ps:0.1 

docker-compose build kcert2-home-$target-ps
docker tag kcert2/home-$target-ps:0.1 docker.nemopai.com/kcert2/home-$target-ps:0.1

docker login -u falinux -p "2001May09" docker.nemopai.com
docker push docker.nemopai.com/kcert2/home-$target-ps:0.1
docker logout docker.nemopai.com

kubectl delete -k ../kustomize
kubectl apply -k ../kustomize
