#!/bin/bash
if [ ! -f '.select-home-target' ]; then
   echo -e "다음 중 원하는 타켓 설정  스크립트를 실행하세요"
   echo -e ""
   ls init-*
   echo -e ""
   exit 1
fi

target=$(cat .select-home-target)
echo -e "\\033]2;kcert2-home-$target dev sever\\007"
echo -e "kcert2-home-$target dev sever"

touch ../apps/home-$target/src/vue-apollo.js
docker-compose run --name kcert2-home-$target-dev \
  --rm \
  -u $(id -u ${USER}):$(id -g ${USER}) \
  --workdir /apps/home-$target/ \
  -e AS_SERVICE=yes \
  base-home-main-ds \
  npm run serve
