module.exports = {
  devServer: {
    host: '0.0.0.0'
  },
  pluginOptions: {
  },
  chainWebpack: config => {
    // Webpack Conditional Loader
    config.module
      .rule('webpack-conditional-loader')
      .test(/\.js$/)
      .use('webpack-conditional-loader')
      .loader('webpack-conditional-loader')
      .end()
  },
  publicPath: process.env.NODE_ENV === 'production'
    ? '/json/single/json/'
    : '/'
}
