#!/bin/bash
if [ ! -f '.select-home-target' ]; then
   echo -e "다음 중 원하는 타켓 설정  스크립트를 실행하세요"
   echo -e ""
   ls init-*
   echo -e ""
   exit 1
fi

target=$(cat .select-home-target)
echo -e "\\033]2;kcert2-home-$target e2e single\\007"
echo -e "kcert2-home-$target e2e single"

echo $1
if [ -z "$1" ]; then
   echo -e "no target file"
    docker-compose run --name kcert2-home-$target-e2e \
    --rm \
    -u $(id -u ${USER}):$(id -g ${USER}) \
    --workdir /apps/home-$target/tests/e2e/specs/ \
    base-home-main-ds \
    ls
    exit 1
fi

docker-compose run --name kcert2-home-$target-e2e \
  --rm \
  -u $(id -u ${USER}):$(id -g ${USER}) \
  --workdir /apps/home-$target/ \
  base-home-main-ds \
  npm run test:e2e --headless --spec /apps/home-$target/tests/e2e/specs/$1
